
Foreman - Bug #5235

Filter creation allows me to enter and save with a field that isn't available for searching and blows up

the resulting entity page

04/17/2014 06:19 PM - Eric Helms

Status: Closed   

Priority: High   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1117832 Red Hat JIRA:  

Pull request:    

Description

1. Create a New Role

2. Click to add new Filter

3. Select 'Domain'

4. Add all permissions for Domain

5. Enter 'anything = 4' into the Search box

6. click 'Submit' (Note: no validation to stop you from saving this invalid filter)

7. Grant Role to user without any other permissions

8. Log in as new user

9. Navigate to Domains page

10. Attempt to create a Domain

Error output "Invalid search query: Field 'anything' not recognized for searching!"

Related issues:

Related to Foreman - Bug #6830: upgrade 1.4.5 to 1.5.2 results in "Invalid se... Closed 07/30/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 0545fd10 - 07/07/2014 10:58 AM - Dmitri Dolguikh 

fixes #5235: it's impossible to create filters with invaid searches

Revision 4dbf7958 - 07/28/2014 07:28 AM - Dmitri Dolguikh 

fixes #5235: it's impossible to create filters with invaid searches

(cherry picked from commit 0545fd10e610f350e1b43783d3073ab2296bdf33)

History

#1 - 04/22/2014 09:13 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 04/22/2014 09:14 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#3 - 06/30/2014 10:44 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#4 - 07/01/2014 07:46 AM - Anonymous

- Status changed from Assigned to Ready For Testing
PR: https://github.com/theforeman/foreman/pull/1552

#5 - 07/01/2014 07:53 AM - Dominic Cleal

- Target version set to 1.8.1

#6 - 07/07/2014 07:21 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#7 - 07/07/2014 11:00 AM - Dominic Cleal

- translation missing: en.field_release set to 18

#8 - 07/07/2014 11:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0545fd10e610f350e1b43783d3073ab2296bdf33.

#9 - 07/09/2014 09:28 AM - Bryan Kearney

- Bugzilla link set to 1117832

#10 - 07/30/2014 04:10 AM - Dominic Cleal

- Related to Bug #6830: upgrade 1.4.5 to 1.5.2 results in "Invalid search query" error added
